/v1/global/content-filters/{globalContentFilterId}

Prev Next
Get
/v1/global/content-filters/{globalContentFilterId}

Get the config for a content filter under the current enterprise

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Path parameters
globalContentFilterId
integer (int64) Required

ID of the global content filter whose configuration should be returned.

Example1234567891011
Responses
200

OK

Expand All
object
config
object (manaV2GlobalContentFilterConfig)
lanNames
Array of string
string

LAN interface names to scope the filter; when empty, all LANs are included.

Exampleexample string
name
string

Display name for this global content filter configuration.

Exampleexample string
rules
Array of object (manaV2GlobalContentFilterRule)
object
domainCategoryId
integer (int64)

ID of the category whose traffic will be blocked by the content filter.

Example1234567891011
exceptionWildcards
Array of string
string

List of wildcard strings each representing a selection of domains that are exceptions that will not be blocked even if it is in the provided category

Exampleexample string
siteListId
integer (int64)

Site list whose members this content filter applies to; omit the oneof when no site scope is set.

Example1234567891011
useAllSites
boolean

When true, the filter applies to all sites in the tenant (must be the constant true).

Exampletrue